> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# visibleforassociate

> List provider that returns a list suitable for VisibleFor and PinTo (with groups and possibly some other special items like All).

## "visibleforassociate" MDO List

List provider that returns a list suitable for VisibleFor and PinTo (with groups and possibly some other special items like All).

Implemented by the <see cref="T:SuperOffice.CRM.Lists.VisibleForAssociateMDOProvider">VisibleForAssociateMDOProvider</see> class.
The name of the MDO list is 'visibleforassociate'.

## Additional Attributes

| Description                          | Name            | Example Value |
| ------------------------------------ | --------------- | ------------- |
| Add the company name in parenthesis. | ContactName     | False         |
| Include has\_email in extrainfo      | includeHasEmail | False         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/visibleforassociate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("visibleforassociate", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name              | StyleHint | ExtraInfo                      |
| --- | ----------------- | --------- | ------------------------------ |
| 11  | Adm0              |           | person\_id=147\&contact\_id=2  |
| 12  | Adm1              |           | person\_id=148\&contact\_id=2  |
| 13  | Adm2              |           | person\_id=149\&contact\_id=2  |
| 14  | Adm3              |           | person\_id=150\&contact\_id=2  |
| 15  | Adm4              |           | person\_id=151\&contact\_id=2  |
| 16  | Adm5              |           | person\_id=152\&contact\_id=2  |
| 106 | Adm6              |           | person\_id=223\&contact\_id=2  |
| 1   | Admin Adminson    |           | person\_id=9\&contact\_id=2    |
| 63  | AdmNS02 NetServer |           | person\_id=183\&contact\_id=2  |
| 2   | Arne Arnesen      |           | person\_id=10\&contact\_id=2   |
| 3   | Brede Bredesen    |           | person\_id=11\&contact\_id=2   |
| 4   | Cato Carlsson     |           | person\_id=12\&contact\_id=2   |
| 5   | Donald Duck       |           | person\_id=13\&contact\_id=2   |
| 6   | Erik Eide         |           | person\_id=14\&contact\_id=2   |
| 7   | Frode Freestad    |           | person\_id=15\&contact\_id=2   |
| 8   | Geir Grønbeck     |           | person\_id=16\&contact\_id=2   |
| 9   | Hans Hansen       |           | person\_id=17\&contact\_id=2   |
| 10  | Ingrid Istad      |           | person\_id=18\&contact\_id=2   |
| 86  | Johan Jensen      |           | person\_id=198\&contact\_id=21 |
| 87  | Kjell Jensen      |           | person\_id=199\&contact\_id=21 |
| 81  | Listadm Listadm   |           | person\_id=190\&contact\_id=2  |

## Related MDO Lists

* "visibleforassociateheadings"
* "visibleforassociateheadingswithallitem"
* "visibleforassociateheadingswithallitemwithnoselection"
* "visibleforassociateheadingswithnoselection"
* "visibleforassociatewithallitem"
* "visibleforassociatewithallitemwithnoselection"
* "visibleforassociatewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.Dash](/en/api/reference/webapi/SuperOffice.WebApi.Data.Dash.md)
- [workflow table](/en/database/tables/workflow.md)
- [dashboard table](/en/database/tables/dashboard.md)
- [Create Default Dash](/en/api/reference/restful/agent/dash_agent/create-default-dash.md)
- [Default Dash](/en/api/reference/restful/rest/dash/default-dash.md)
- [Get Dash](/en/api/reference/restful/agent/dash_agent/get-dash.md)
